Dialog for running a chord change editing session.

### Hierarchy

- SuiDialogBase
  - SuiChordChangeDialog

## Index

### Constructors

- constructor

### Properties

- dgDom

### Methods

- changed
- getEventSource
- getId
- getModifier
- getStaticText
- getView

## Constructors

### constructor

- new SuiChordChangeDialog(parameters: SuiDialogParams): SuiChordChangeDialog

- Overrides SuiDialogBase.constructor

  - Defined in src/ui/dialogs/chordChange.ts:116

  #### Parameters

  - ##### parameters: SuiDialogParams

  #### Returns SuiChordChangeDialog

## Properties

### dgDom

dgDom: DialogDom

Inherited from SuiDialogBase.dgDom

- Defined in src/ui/dialogs/dialog.ts:180

## Methods

### changed

- changed(): void

- Overrides SuiDialogBase.changed

  - Defined in src/ui/dialogs/chordChange.ts:139

  Called by the component when the state is changed. Dialog will then query the component (getValue()) and set the correct score value.

  #### Returns void

### getEventSource

- getEventSource(): BrowserEventSource

- Inherited from SuiDialogBase.getEventSource

  - Defined in src/ui/dialogs/dialog.ts:283

  Used by text editing components that are also event sinks

  #### Returns BrowserEventSource

### getId

- getId(): string

- Inherited from SuiDialogBase.getId

  - Defined in src/ui/dialogs/dialog.ts:277

  returns the DOM id of the dialog.

  #### Returns string

### getModifier

- getModifier(): null | SmoModifier

- Inherited from SuiDialogBase.getModifier

  - Defined in src/ui/dialogs/dialog.ts:280

  gets the 'modifier' from parent dialog, used by text editors. Most components won't need this.

  #### Returns null | SmoModifier

### getStaticText

- getStaticText(): Record<string, string>

- Inherited from SuiDialogBase.getStaticText

  - Defined in src/ui/dialogs/dialog.ts:286

  Gets the static text <string, string> for the current language. this is used by components that have different text labels for different states.

  #### Returns Record<string, string>

### getView

- getView(): SuiScoreViewOperations

- Inherited from SuiDialogBase.getView

  - Defined in src/ui/dialogs/dialog.ts:325

  gets the view from the parent

  #### Returns SuiScoreViewOperations

Generated using TypeDoc